Assign/clear one roster cell (draft)
curl --request POST \
--url https://app.ontime.hosai.app/api/rosters/cell \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"employeeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"date": "<string>",
"shiftTemplateId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"note": "<string>"
}
'import requests
url = "https://app.ontime.hosai.app/api/rosters/cell"
payload = {
"employeeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"date": "<string>",
"shiftTemplateId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"note": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
employeeId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
date: '<string>',
shiftTemplateId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
note: '<string>'
})
};
fetch('https://app.ontime.hosai.app/api/rosters/cell', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"employeeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"date": "<string>",
"weekStart": "<string>",
"state": "Working",
"shiftTemplateId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"published": true,
"note": "<string>"
}Rosters
Assign/clear one roster cell (draft)
Assign/clear one roster cell (draft)
POST
/
api
/
rosters
/
cell
Assign/clear one roster cell (draft)
Authorizations
Issue keys in Settings → API. Send them as Authorization: Bearer ont_… (an X-Api-Key: ont_… header is also accepted). Session-cookie routes are used by the OnTime web apps and are shown for completeness.
Body
application/json
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Pattern:
^\d{4}-\d{2}-\d{2}$Available options:
Working, Off, Leave Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Response
200 - application/json
Success
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Available options:
Working, Off, Leave Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$